MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::BcastStateInBin Class Reference

BcastStateBin reads a file in written by StateInBin on node 0 and broadcasts it to all nodes so state can be simultaneously restored on all nodes. More...

`#include <mstate.h>`

Inheritance diagram for sc::BcastStateInBin:

List of all members.

## Public Member Functions

| BcastStateInBin (const Ref< KeyVal > &)
| Create the BcastStateRecv using the default MessageGrp.
| BcastStateInBin (const Ref< MessageGrp > &, const char *filename)
| Create the BcastStateRecv.
virtual int | open (const char *name)
virtual void | close ()
void | seek (int loc)
| Set the current position in the file.
int | seekable ()
| Return non-zero if seek does anything sensible.
int | tell ()
| Return the current position in the file.
int | use_directory ()
| Returns true of this object uses a directory.

## Protected Member Functions

void | next_buffer ()
| Specializations must implement next_buffer().
int | get_array_void (void *, int)

## Protected Attributes

int | opened_
int | file_position_
std::streambuf * | buf_

## Detailed Description

BcastStateBin reads a file in written by StateInBin on node 0 and broadcasts it to all nodes so state can be simultaneously restored on all nodes.

## Member Function Documentation

void sc::BcastStateInBin::seek | ( | int |  | ) | `[virtual]`

Set the current position in the file.

The default implementation does nothing.

Reimplemented from sc::StateIn.

int sc::BcastStateInBin::seekable | ( |  | ) | `[virtual]`

Return non-zero if seek does anything sensible.

The default implementation returns 0.

Reimplemented from sc::StateIn.

The documentation for this class was generated from the following file:

- mstate.h